{% extends "base.html" %}
{% block content %}


<div class="container">
<div class="row col-md-4"></div>
    
<div class="row col-md-4">

    <div style="font-size:1.5em">
        {%trans%}Send a new user invitation{%endtrans%}
    </div>
    <hr />

    <p></p>
    <form method="POST">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
        <label>{%trans%}New user's email{%endtrans%}</label>
        <br />
        <input type="text" name="email" class="form-control" required >
        <br />
        <label>{%trans%}Include message{%endtrans%}</label>
        <br />
        <textarea name="message" class="form-control" ></textarea>
        <br />
        <label>{%trans%}Make the new user an Admin{%endtrans%}</label>
        <input style="vertical-align: -2px;" type="checkbox" name="admin" value="True" />
        
        {% if g.isRootUser %}
            <p>&nbsp;</p>
            <div style="font-size:1.2em">{%trans%}Root user options{%endtrans%}</div>
            <hr />
            <label>{%trans%}Invite to one of these sites{%endtrans%}</label>
            {% for site in sites %}
            <div class="radio radio-info">
                <input style="margin-left:0;" type="radio" name="hostname" value="{{ site.hostname }}" {% if site.hostname == hostname %}checked{% endif %} >
                <label style="margin-left:1em;">{{ site.hostname }}</label>
            </div>
            {% endfor %}
            <br />
        {% endif %}
                
        <p>&nbsp;</p>
        <input class="btn-success btn" type="submit" value="{%trans%}Send email{%endtrans%}">
        <input class="btn-primary btn" type="button" value="{%trans%}Cancel{%endtrans%}" onClick="location.href='/user/{{g.current_user.username}}'">
    </form>

</div>

<div class="row col-md-4"></div>    
</div>
  
{% endblock %}
